OrcProto.ColumnStatisticsOrBuilder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Interface OrcProto.ColumnStatisticsOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    OrcProto.ColumnStatistics, OrcProto.ColumnStatistics.Builder
  Enclosing class:
    OrcProto

      public static interface OrcProto.ColumnStatisticsOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.BinaryStatistics` | `getBinaryStatistics()` `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`
    `OrcProto.BinaryStatisticsOrBuilder` | `getBinaryStatisticsOrBuilder()` `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`
    `OrcProto.BucketStatistics` | `getBucketStatistics()` `optional .orc.proto.BucketStatistics bucketStatistics = 5;`
    `OrcProto.BucketStatisticsOrBuilder` | `getBucketStatisticsOrBuilder()` `optional .orc.proto.BucketStatistics bucketStatistics = 5;`
    `OrcProto.DateStatistics` | `getDateStatistics()` `optional .orc.proto.DateStatistics dateStatistics = 7;`
    `OrcProto.DateStatisticsOrBuilder` | `getDateStatisticsOrBuilder()` `optional .orc.proto.DateStatistics dateStatistics = 7;`
    `OrcProto.DecimalStatistics` | `getDecimalStatistics()` `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`
    `OrcProto.DecimalStatisticsOrBuilder` | `getDecimalStatisticsOrBuilder()` `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`
    `OrcProto.DoubleStatistics` | `getDoubleStatistics()` `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`
    `OrcProto.DoubleStatisticsOrBuilder` | `getDoubleStatisticsOrBuilder()` `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`
    `boolean` | `getHasNull()` `optional bool hasNull = 10;`
    `OrcProto.IntegerStatistics` | `getIntStatistics()` `optional .orc.proto.IntegerStatistics intStatistics = 2;`
    `OrcProto.IntegerStatisticsOrBuilder` | `getIntStatisticsOrBuilder()` `optional .orc.proto.IntegerStatistics intStatistics = 2;`
    `long` | `getNumberOfValues()` `optional uint64 numberOfValues = 1;`
    `OrcProto.StringStatistics` | `getStringStatistics()` `optional .orc.proto.StringStatistics stringStatistics = 4;`
    `OrcProto.StringStatisticsOrBuilder` | `getStringStatisticsOrBuilder()` `optional .orc.proto.StringStatistics stringStatistics = 4;`
    `OrcProto.TimestampStatistics` | `getTimestampStatistics()` `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`
    `OrcProto.TimestampStatisticsOrBuilder` | `getTimestampStatisticsOrBuilder()` `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`
    `boolean` | `hasBinaryStatistics()` `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`
    `boolean` | `hasBucketStatistics()` `optional .orc.proto.BucketStatistics bucketStatistics = 5;`
    `boolean` | `hasDateStatistics()` `optional .orc.proto.DateStatistics dateStatistics = 7;`
    `boolean` | `hasDecimalStatistics()` `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`
    `boolean` | `hasDoubleStatistics()` `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`
    `boolean` | `hasHasNull()` `optional bool hasNull = 10;`
    `boolean` | `hasIntStatistics()` `optional .orc.proto.IntegerStatistics intStatistics = 2;`
    `boolean` | `hasNumberOfValues()` `optional uint64 numberOfValues = 1;`
    `boolean` | `hasStringStatistics()` `optional .orc.proto.StringStatistics stringStatistics = 4;`
    `boolean` | `hasTimestampStatistics()` `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasNumberOfValues

          boolean hasNumberOfValues()

      `optional uint64 numberOfValues = 1;`

    - #### getNumberOfValues

          long getNumberOfValues()

      `optional uint64 numberOfValues = 1;`

    - #### hasIntStatistics

          boolean hasIntStatistics()

      `optional .orc.proto.IntegerStatistics intStatistics = 2;`

    - #### getIntStatistics

          OrcProto.IntegerStatistics getIntStatistics()

      `optional .orc.proto.IntegerStatistics intStatistics = 2;`

    - #### getIntStatisticsOrBuilder

          OrcProto.IntegerStatisticsOrBuilder getIntStatisticsOrBuilder()

      `optional .orc.proto.IntegerStatistics intStatistics = 2;`

    - #### hasDoubleStatistics

          boolean hasDoubleStatistics()

      `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`

    - #### getDoubleStatistics

          OrcProto.DoubleStatistics getDoubleStatistics()

      `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`

    - #### getDoubleStatisticsOrBuilder

          OrcProto.DoubleStatisticsOrBuilder getDoubleStatisticsOrBuilder()

      `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`

    - #### hasStringStatistics

          boolean hasStringStatistics()

      `optional .orc.proto.StringStatistics stringStatistics = 4;`

    - #### getStringStatistics

          OrcProto.StringStatistics getStringStatistics()

      `optional .orc.proto.StringStatistics stringStatistics = 4;`

    - #### getStringStatisticsOrBuilder

          OrcProto.StringStatisticsOrBuilder getStringStatisticsOrBuilder()

      `optional .orc.proto.StringStatistics stringStatistics = 4;`

    - #### hasBucketStatistics

          boolean hasBucketStatistics()

      `optional .orc.proto.BucketStatistics bucketStatistics = 5;`

    - #### getBucketStatistics

          OrcProto.BucketStatistics getBucketStatistics()

      `optional .orc.proto.BucketStatistics bucketStatistics = 5;`

    - #### getBucketStatisticsOrBuilder

          OrcProto.BucketStatisticsOrBuilder getBucketStatisticsOrBuilder()

      `optional .orc.proto.BucketStatistics bucketStatistics = 5;`

    - #### hasDecimalStatistics

          boolean hasDecimalStatistics()

      `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`

    - #### getDecimalStatistics

          OrcProto.DecimalStatistics getDecimalStatistics()

      `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`

    - #### getDecimalStatisticsOrBuilder

          OrcProto.DecimalStatisticsOrBuilder getDecimalStatisticsOrBuilder()

      `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`

    - #### hasDateStatistics

          boolean hasDateStatistics()

      `optional .orc.proto.DateStatistics dateStatistics = 7;`

    - #### getDateStatistics

          OrcProto.DateStatistics getDateStatistics()

      `optional .orc.proto.DateStatistics dateStatistics = 7;`

    - #### getDateStatisticsOrBuilder

          OrcProto.DateStatisticsOrBuilder getDateStatisticsOrBuilder()

      `optional .orc.proto.DateStatistics dateStatistics = 7;`

    - #### hasBinaryStatistics

          boolean hasBinaryStatistics()

      `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`

    - #### getBinaryStatistics

          OrcProto.BinaryStatistics getBinaryStatistics()

      `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`

    - #### getBinaryStatisticsOrBuilder

          OrcProto.BinaryStatisticsOrBuilder getBinaryStatisticsOrBuilder()

      `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`

    - #### hasTimestampStatistics

          boolean hasTimestampStatistics()

      `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`

    - #### getTimestampStatistics

          OrcProto.TimestampStatistics getTimestampStatistics()

      `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`

    - #### getTimestampStatisticsOrBuilder

          OrcProto.TimestampStatisticsOrBuilder getTimestampStatisticsOrBuilder()

      `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`

    - #### hasHasNull

          boolean hasHasNull()

      `optional bool hasNull = 10;`

    - #### getHasNull

          boolean getHasNull()

      `optional bool hasNull = 10;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.